import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
export function funktionVolumenPufferspeicherHeizungT49(Leistung: number, WaermeErzeuger: string) {

    let VolumenPufferspeicherHeizung = 0;
    let dataset: any = [];

if (WaermeErzeuger === "Wärmepumpe") {
    if (Leistung < 4.2) { Leistung = 4.2; }
    dataset = [
        {SuchSpalte: ["Wärmepumpe"], DatenSpalte: [4.2, 7.9, 10.5, 21.1, 31.6, 42.1, 52.6, 63.2, 73.7, 84.2, 94.7, 105.3, 115.8, 126.3, 136.8, 147.4, 157.9]},
        {SuchSpalte: ["Volumen Pufferspeicher"], DatenSpalte: [40, 75, 100, 200, 200, 400, 500, 600, 700, 800, 900, 1000, 1100, 1200, 1300, 1400, 1500]}
    ];
 }
 else if (WaermeErzeuger === "Biomasse") {
    if (Leistung < 2) { Leistung = 2; }
    dataset = [
        {SuchSpalte: ["Biomasse"], DatenSpalte: [2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0, 26.0, 28.0, 30.0]},
        {SuchSpalte: ["Volumen Pufferspeicher"], DatenSpalte: [100, 200, 200, 400, 500, 600, 700, 800, 900, 1000, 1100, 1200, 1300, 1400, 1500]}
    ];
 }



if (Leistung > 157.9) 
{ 
    if (WaermeErzeuger === "Wärmepumpe") { VolumenPufferspeicherHeizung = 9.5 * Leistung; } 
    else if (WaermeErzeuger === "Biomasse") { VolumenPufferspeicherHeizung = 50 * Leistung; }
} 

else

{ 
    VolumenPufferspeicherHeizung = funktionEinfacheInterpolation(Leistung, "Volumen Pufferspeicher", dataset);
}

return VolumenPufferspeicherHeizung;

}